Name:		castxml
Version:	0.4.4
Release:	%mkrel 2
Summary:	C-family abstract syntax tree XML output tool
Group:		Development/Other

License:	ASL 2.0
URL:		https://github.com/CastXML/CastXML
Source0:	https://github.com/CastXML/CastXML/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	llvm-devel
BuildRequires:	llvm
BuildRequires:	clang-devel
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(zlib)

%description
Parse C-family source files and optionally write a subset of the
Abstract Syntax Tree (AST) to a representation in XML.

Source files are parsed as complete translation units using the clang
compiler. XML output is enabled by the --castxml-gccxml option and
produces a format close to that of gccxml. Future versions of castxml
may support alternative output formats.

%prep
%setup -q -n CastXML-%{version}

%build
%cmake -DCastXML_INSTALL_DOC_DIR:STRING=share/doc/%{name} \
       -DCastXML_INSTALL_MAN_DIR:STRING=share/man \
       -DCLANG_RESOURCE_DIR:PATH=$(clang -print-file-name=include)/.. \
       -DLLVM_LINK_LLVM_DYLIB:BOOL=ON \
       -DCLANG_LINK_CLANG_DYLIB:BOOL=ON \
       -DBUILD_TESTING:BOOL=ON \
       -DSPHINX_MAN:BOOL=OFF
%cmake_build

%install
%cmake_install
rm %{buildroot}%{_defaultdocdir}/%{name}/LICENSE
rm %{buildroot}%{_defaultdocdir}/%{name}/NOTICE

%check
ctest %{?_smp_mflags}

%files
%{_bindir}/castxml
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/clang
%{_datadir}/%{name}/detect_vs.c
%{_datadir}/%{name}/detect_vs.cpp
%{_datadir}/%{name}/empty.c
%{_datadir}/%{name}/empty.cpp

%changelog
* Fri Oct 27 2023 tex - 0.4.4-2pclos2023
- rebuild against updates

* Fri Aug 19 2022 tex - 0.4.4-1pclos2022
- create pkg
